User Tools

Site Tools


supported_devices

Supported devices

General requirements for OpenWrt support

  1. SoC / target supported by OpenWrt
  2. Sufficient Flash to accommodate OpenWrt firmware image
    • 4MB min (won't be able to install GUI (LuCI))
    • 8MB better (will fit GUI and some other applications)
  3. Sufficient RAM for stable operation
    • 32MB min, 64MB better

DO NOT BUY DEVICES WITH 4MB FLASH / 32MB RAM if you intend to flash an up-to-date and secure OpenWrt version (18.06 or later) onto it! See 4/32 warning for details.

1) 4/32 devices do not have sufficient resources (flash and/or RAM) to provide secure and reliable operation. See OpenWrt on 4/32 devices what you can do now.

2) OpenWrt support for 4/32 devices will end after 2019. After 19.07, no further OpenWrt images will be built for 4/32 devices. See OpenWrt on 4/32 devices what you can do now.

Tables answering your questions

Hardware database CSV dump

CSV dump of the hardware database, updated daily:

You can import it in LibreOffice Calc, MS Excel or other programs to visualize the data.

This website uses cookies. By using the website, you agree with storing cookies on your computer. Also you acknowledge that you have read and understand our Privacy Policy. If you do not agree leave the website.More information about cookies
supported_devices.txt · Last modified: 2019/04/06 01:34 by vgaetera